%define name	libtiff
%define	version	3.5.5
%define release 8mdk
%define major	3

Summary:	A library of functions for manipulating TIFF format image files
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD-like
Group:		System/Libraries

Source0:	ftp://ftp.sgi.com/graphics/tiff/tiff-v3.5.5.tar.bz2
Patch:		libtiff-v3.4-arm.patch.bz2
Patch1:		tiff-v3.5.5-shlib.patch.bz2
Patch2:		libtiff-v3.5.4-codecs.patch.bz2
Patch3: 	libtiff-v3.5.5-test.patch.bz2
Patch4: 	libtiff-v3.5.5-steve.patch.bz2
Url:		http://www.libtiff.org/
BuildRequires:	libjpeg-devel
BuildRequires:	zlib-devel
BuildRoot:	%_tmppath/%name-%version-root

%description
The libtiff package contains a library of functions for manipulating TIFF
(Tagged Image File Format) image format files. TIFF is a widely used file
format for bitmapped images. TIFF files usually end in the .tif extension
and they are often quite large.

%package -n %name%major-progs
Summary:	Binaries needed to manipulate TIFF format image files
Group:		Graphics
Requires:	%name%major = %version-%release

%description -n %name%major-progs
This package provides binaries needed to manipulate TIFF format image files.

%package -n %name%major
Summary:	A library of functions for manipulating TIFF format image files
Group:		System/Libraries
Obsoletes:	%name
Provides:	%name

%description -n %name%major
The libtiff package contains a library of functions for manipulating TIFF
(Tagged Image File Format) image format files. TIFF is a widely used file
format for bitmapped images. TIFF files usually end in the .tif extension
and they are often quite large.

%package -n %name%major-devel
Summary:	Development tools for programs which will use the libtiff library
Group:		Development/C
Requires:	%name%major = %version-%release
Obsoletes:	%name-devel
Provides:	%name-devel

%description -n %name%major-devel
This package contains the header files and static libraries for developing
programs which will manipulate TIFF format image files using the libtiff
library.

%prep
%setup -q -n tiff-v%version
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .codecs
%patch3 -p1 -b .test
%patch4 -p1 -b .steve

%build
find . -type 'd' -name 'CVS' | xargs rm -fr

CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
	./configure --target=linux \
	--with-GCOPTS="$RPM_OPT_FLAGS" << EOF
no
$RPM_BUILD_ROOT%{_bindir}
$RPM_BUILD_ROOT%{_libdir}
$RPM_BUILD_ROOT%{_includedir}
$RPM_BUILD_ROOT%{_mandir}
bsd-source-cat
yes
EOF
%make OPTIMIZER=

%install
mkdir -p $RPM_BUILD_ROOT%_libdir \
	$RPM_BUILD_ROOT%_includedir \
	$RPM_BUILD_ROOT%_bindir \
	$RPM_BUILD_ROOT%_mandir/man1
%makeinstall
cd libtiff
install -m 644 libtiff.so.%version $RPM_BUILD_ROOT%_libdir
ln -sf libtiff.so.%version $RPM_BUILD_ROOT%_libdir/libtiff.so

echo "See %_docdir/%name%major-devel for documentation on this package" > $RPM_BUILD_DIR/tiff-v%version/Readme

%post -n %name%major -p /sbin/ldconfig
%postun -n %name%major -p /sbin/ldconfig

%clean
rm -fr $RPM_BUILD_ROOT

%files -n %name%major-progs
%defattr(-,root,root,-)
%doc Readme
%_bindir/*
%_mandir/man1/*

%files -n %name%major
%defattr(-,root,root,-)
%doc Readme
%_libdir/*.so.*

%files -n %name%major-devel
%defattr(-,root,root,-)
%doc COPYRIGHT README TODO VERSION html/*
%_includedir/*
%_libdir/*.a
%_libdir/*.so
%_mandir/man3/*

%changelog
* Tue Jul 10 2001 Stefan van der Eijk <stefan@eijk.nu> 3.5.5-8mdk
- BuildRequires:	libjpeg-devel
- BuildRequires:	zlib-devel
- Buildroot --> BuildRoot

* Tue Jun 19 2001 Yves Duret <yduret@mandrakesoft.com> 3.5.5-7mdk
- nopin rpmlint (c) un wolof from Ouro Sogui

* Wed Mar 07 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.5.5-6mdk
- added patch for JPEG and ZIP codecs, as well as "steve" and "test"
  patches from RedHat. Now ImageMagick Jpeg/PNG -> TIF conversion
  works.
- added man pages.

* Sat Jan 20 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.5.5-5mdk
- tools dynamic linked now.
- real optization.   

* Tue Dec 26 2000 Yves Duret <yduret@mandrakesoft.com> 3.5.5-4mdk
- changed Copyright: into BSD-like instead of distributable

* Sun Dec 17 2000 David BAUDENS <baudens@mandrakesoft.com> 3.5.5-3mdk
- Use %%_tmppath for BuildRoot
- Use %%make macro
- Libdification
- Remove CVS stuff

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.5.5-2mdk
- fix URL
- use new macros
- BM
- let spechelper do the strip & compress job

* Mon Jun 26 2000 Alexandre Dussart <adussart@mandrakesoft.com> 3.5.5-1mdk
- 3.5.5
- Removed obsolete patch(check for libc6).
- Rewrittent some spec section to be more generic.
- Updated shlib patch.
- Removed LIBVER define.

* Tue Apr 18 2000 Warly <warly@linux-mandrake.com> 3.4-10mdk 
- New group

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP check/build
- Use good macro (old one may have bziped whole dirs)
- defattr

* Mon Jul 12 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- bzip manpages

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Jan 13 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Wed Jun 10 1998 Michael Fulbright <msf@redhat.com>
- rebuilt against fixed jpeg libs (libjpeg-6b)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 13 1997 Donnie Barnes <djb@redhat.com>
- new version to replace the one from libgr
- patched for glibc
- added shlib support

